<?
session_start();

define( 'ROOT', 'http://'.$_SERVER['HTTP_HOST'] );
define( 'ROOT_DIR', $_SERVER['DOCUMENT_ROOT'] );

if ( isset( $_SESSION['iduser'] ) ) exit();

include_once ROOT_DIR . '/engine/config.php';
include_once ROOT_DIR . '/engine/capcha.php';
include_once ROOT_DIR . '/engine/function.php';

#Определяем ИП
$ip = real_IP();

$get_ref = mysql_num_rows( mysql_query( "SELECT id FROM user WHERE id = '" . ( int ) $_COOKIE['referer'] . "' LIMIT 1" ) );
if ( $get_ref == 0 ) {
    $_COOKIE['referer'] = 0;
}

#Определяем страну 
///$regcode = find_country();

#Определяем город 
$regsiti = GeoIPSiti($ip);

if ( GeoIP( real_IP() ) == 'XX' ) {
    include_once ROOT_DIR .  '/engine/geoip/GeoIP.php';
    $geoip = Net_GeoIP::getInstance( ROOT_DIR . '/engine/geoip/GeoIP.dat' );
    try {
        $regcountry = mb_convert_encoding( $geoip->lookupCountryName( real_IP() ), 'CP1251', 'UTF8' );
        $regcode = strtolower( $geoip->lookupCountryCode( real_IP() ) );
    }
    catch ( Exception $e ) {
        $regcountry = '';
        $regcode = '';
    }
} else {
    $regcountry = $countrys[strtolower( GeoIP( real_IP() ) )];
    $regcode = strtolower( GeoIP( real_IP() ) );
}

$caphaType = $config_site["capthaType"];
$recapha_n1 = $config_site["recapthaPublicKey"];
?>

<script src='https://www.google.com/recaptcha/api.js'></script>
<script type="text/javascript">
	$(document).ready(function() {
		$('.js_titleRemove').remove();
		$('.ref-offline-register').tipTip({defaultPosition:'right'});
		$('.ref-online-register').tipTip({defaultPosition:'right'});
		$('.ref-referal-register').tipTip({defaultPosition:'right'});
		$('.ref-status-register').tipTip({defaultPosition:'right'});
		$('.ref-refbek-register').tipTip({defaultPosition:'right'});
	});
	
	///Функция возврата каретки в верх окна.
	var timeScrollUP; 
	var top = Math.max(document.body.scrollTop,document.documentElement.scrollTop);
	function upScroll() {
	  var top = Math.max(document.body.scrollTop,document.documentElement.scrollTop);
	  if(top > 0) {
		window.scrollBy(0,-100);
		timeScrollUP = setTimeout('upScroll()',10);
	  } else clearTimeout(timeScrollUP);
	  return false;
	}
	
	function reg() {
        $('.preloader').css({display:'block'});
        var temp_click = $('#register').attr('onclick');
        $('#register').attr('onclick', '');
        $.post('ajax.php?func=reg',{
            name: $('#name').val(),
            nik: $('#nik').val(),
            email: $('#email').val(),
            pass: $('#pass').val(),
            capcha: $('#capcha').val(),
			'g-recaptcha-response': $('#g-recaptcha-response').val(),
			rules: $('#rules:checked').val(),
			policy: $('#policy:checked').val()
        }, function(data){
            if (data == 1) {
                $('#info_reg_1').css({display:'none'});
                $('#info_reg_2').css({display:'none'});
                $('.preloader').css({display:'none'});
                $('#btn_box').attr('disabled', 'disabled');
				if (data == 1) {
					$('#form_reg').html('<div class="alert alert-success2 alert-dismissible" role="alert"><button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button><h5 class="alert-heading"><i class="fa fa-flag-checkered" aria-hidden="true"></i> Поздравляем!</h5>Регистрация прошла успешно.<br />На email, указанный при регистрации, отправленно письмо с регистрационными данными. <i class="fa fa-envelope-o" aria-hidden="true"></i><br /><br /><a href="/login" class="btn_box" >Авторизация</a><br /><br /></div>');
				}
				upScroll();
            } else {
                $('body').Qnotify({text:data, sound:'error'});
                $('.preloader').css({display:'none'});
                $('#register').attr('onclick', temp_click);
            }
        });
        return false;
    }

</script>

<div style="margin-left: -10px; margin-bottom: 0px;">
	<a href="/login" class="content_bar_buttom" ><span style="font-size: 13px;" class="glyphicon glyphicon-user"></span> АВТОРИЗАЦИЯ</a>
	<a href="/registration" class="content_bar_buttom1_act" ><span style="font-size: 13px;" class="glyphicon glyphicon-plus"></span> РЕГИСТРАЦИЯ</a>	
	<a href="/recovery" class="content_bar_buttom" ><i class="fa fa-refresh" aria-hidden="true"></i> ВОССТАНОВЛЕНИЕ</a>	
</div>
<div class="content_bar content_bar_margin">
	<article class="postBox">
		<br><h2><a>Форма регистрации нового пользователя</a></h2><br>
		<div class="textPreview" style="margin-top: -20px;">
			<p class="">
				Добро пожаловать на <?=$config_site['sitename'] ?>! Мы очень надеемся, что вам понравится наш проект. Благодаря эффективной рекламе и конкурентным ценам вы сможете быстро, легко и не дорого "раскрутить" свой интернет-ресурс, направив к нему поток уникальных посетителей, или же сможете не плохо зарабатывать в системе.
			</p>
		</div>
	</article>
	<div id="form_reg" class="container-fix container ">
	    <div style="margin-left: 100px;">
			<div class="form-group row">
			  <label for="inputEmail3" class="col-sm-2 col-form-label">Как вас зовут</label>
			  <div class="col-sm-10 input-group">
				<span class="input-group-addon" id="basic-addon1" style=""><i class="fa fa-smile-o fa-fw" ></i></span>
				<input type="text" class="form-control" id="name" placeholder="Name" style="width: 250px; border-radius: 0 0.25rem 0.25rem 0;">
			  </div>
			</div>
			<div class="form-group row">
			  <label for="inputEmail3" class="col-sm-2 col-form-label">Никнейм</label>
			  <div class="col-sm-10 input-group">
				<span class="input-group-addon" id="basic-addon1" style=""><i class="fa fa-user-o fa-fw" ></i></span>
				<input type="text" class="form-control" id="nik" placeholder="Nickname" style="width: 250px; border-radius: 0 0.25rem 0.25rem 0;">
			  </div>
			</div>
			<div class="form-group row">
			  <label for="inputEmail3" class="col-sm-2 col-form-label">Email</label>
			  <div class="col-sm-10 input-group">
				<span class="input-group-addon" id="basic-addon1" style=""><i class="fa fa-envelope-o fa-fw"></i></span>
				<input type="email" class="form-control" id="email" placeholder="Email" style="width: 250px; border-radius: 0 0.25rem 0.25rem 0;">
			  </div>
			</div>
			<div class="form-group row ">
			  <label for="inputPassword3" class="col-sm-2 col-form-label">Пароль</label>
			  <div class="col-sm-10 input-group">
				<span class="input-group-addon" id="basic-addon1" style=""><i class="fa fa-key fa-fw"></i></span>
				<input type="password"  class="form-control" id="pass" placeholder="Password" style="width: 250px; border-radius: 0.25rem; border-radius: 0 0.25rem 0.25rem 0;">
			  </div>
			</div>
			<div class="form-group row ">
			  <label for="inputPassword3" class="col-sm-2 col-form-label">Ваш реферер</label>
			  <div class="col-sm-10 input-group">
				<? if( $_COOKIE['referer'] == 0 ) { 
					?>
					 <div class="Reg_ref-open-button" >нет, вы сами пришли <span class="tag tag-primary" onclick="register.referer();"><i class="fa fa-user-plus" aria-hidden="true"></i> Выбрать</span></div>
					<?
				} else { 
					$cref = ( int ) $_COOKIE['referer']; 
					$uname = mysql_fetch_assoc( mysql_query( "SELECT username, id, autoback, avatar, reyting, referals, account FROM user WHERE id = '$cref' LIMIT 1" ) ); 
					?>
					  <a href="/id<?=$uname['id']?>"><img src="<?=ROOT?>/temp/avatar/<?=$uname['avatar']?>" class="avatar-ref-register-form img-circle" ></a>
					  <div title="Пользователь <?=online_user($uname['id'])?>" class="<? if(online_user($uname['id']) == 'online') { echo 'ref-online-register'; } else { echo 'ref-offline-register'; } ?>"><i class="fa fa-circle" aria-hidden="true"></i></div>
					  <div class="refinfo-reg"> 
						<div class="ref-login-register"><?=$uname['username']?></div>
						<div class="ref-referal-register" title="Количество рефералов у пользователя"><i class="fa fa-users" aria-hidden="true"></i> <?=$uname['referals']?></div>
						<div class="ref-status-register" title="Статус пользователя"><i class="fa fa-star" aria-hidden="true"></i> <?=status_user( $uname['reyting'], $uname['account'] )?></div>
						<div class="ref-refbek-register" title="Предлагаемый рефбек"><?=$uname['autoback']?>%</div>
						<div class="ref-wall-register"><a href="/id<?=$uname['id']?>"><span class="tag tag-primary"><i class="fa fa-address-card" aria-hidden="true"></i> Стенка</span></a></div>
					  </div>
					<?
				} ?>
			  </div>
			</div>
			<div class="form-group row ">
			  <label for="inputPassword3" class="col-sm-2 col-form-label">Ваша страна</label>
			  <div class="col-sm-10 input-group">
				<div>
					<img src="<?=ROOT?>/theme/images/flags/<?=$regcode; ?>.png" width="16" height="11"  class="flagcountry-reg img-circle" />
					<font style="position: relative; top: -2px;"> <?=$regcountry?> (<?=$regsiti?>)</font>
					<div class="flagcountry-reg-ip" ><i class="fa fa-desktop" aria-hidden="true"></i> <?=$ip?> </div>
				</div>
			  </div>
			</div>
			<div class="form-group  row">
				<div class="offset-sm-2 col-sm-10 input-group">
				  <? if($caphaType == '0') { ?>
				    <div class="input-group-addon" style="width: 50px;"><?=$letter?></div>
				    <input type="text" class="form-control" id="capcha" placeholder="...код" class="input-fix" style="width: 50px; border-radius: 0 0.25rem 0.25rem 0">			
				  <? } else {  ?>
				    <div class="g-recaptcha g-recaptcha-fix" data-sitekey="<?=$recapha_n1?>"></div>
				  <?  }  ?>
				</div>
			</div>
			<div class="form-group row">
				<div class="col-sm-2"></div>
				<div class="has-success input-checkbox-reg-fix">
				  <label >
					<input type="checkbox" class="form-check-input" id="rules" value="option1" >
					Ознакомлен и даю согласие с <a href="/rules" class="link_color">правилами проекта</a>.
				  </label><br>
					<input type="checkbox" class="form-check-input" id="policy" value="option1" >
					Ознакомлен и даю согласие с <a href="/policy" class="link_color">услугами и оплатой</a>.
				  </label>
				</div>
			</div>
			<div class="form-group row">
			  <div class="offset-sm-2 col-sm-10" style="margin-left: 108px;">
				<button type="submit" class="btn btn-primary" onclick="reg(); return false;" id="vxod">Зарегистрироватся</button>
			  </div>
			</div>
		</div>
	</div>
	<br>
	<div class="alert alert-info2" role="alert" id="info_reg_1">
	  <i class="fa fa-info-circle" aria-hidden="true"></i> Будьте внимательны при заполнении формы, вводите только достоверные данные! 
	  <div style="padding-left: 17px;">Помните повторная регистрация запрещена, в случае выявления, оба аккаунта будут заблокированы!</div>
	</div>
	<div class="alert alert-warning" role="alert" id="info_reg_2">
	  <i class="fa fa-exclamation-circle" aria-hidden="true"></i> Обязательно ознакомитесь с правилами системы! 
	  <div style="padding-left: 17px;">Работает арбитр, за нарушение правил будут применяться санкции в плоть до бана аккаунта!</div>
	</div>


</div>





